# Class `nixio.bin`

Binary operations and conversion.

## Functions

b64decode (buffer) | Base64 decode a given buffer.
b64encode (buffer) | Base64 encode a given buffer.
crc32 (buffer, initial) | Calculate the CRC32 value of a buffer.
hexlify (buffer) | Return a hexadecimal ASCII represantation of the content of a buffer.
unhexlify (hexvalue) | Return a binary buffer from a hexadecimal ASCII representation.

## Functions

b64decode (buffer)
  Base64 decode a given buffer.

  ### Parameters

  - buffer: Base 64 Encoded data

  ### Return value:

  binary data
b64encode (buffer)
  Base64 encode a given buffer.

  ### Parameters

  - buffer: Buffer

  ### Return value:

  base64 encoded buffer
crc32 (buffer, initial)
  Calculate the CRC32 value of a buffer.

  ### Parameters

  - buffer: Buffer
  - initial: Initial CRC32 value (optional)

  ### Return value:

  crc32 value
hexlify (buffer)
  Return a hexadecimal ASCII represantation of the content of a buffer.

  ### Parameters

  - buffer: Buffer

  ### Return value:

  representation using characters [0-9a-f]
unhexlify (hexvalue)
  Return a binary buffer from a hexadecimal ASCII representation.

  ### Parameters

  - hexvalue: representation using characters [0-9a-f]

  ### Return value:

  binary data